#ifndef RAYEXT_H
#define RAYEXT_H

#include <raylib.h>

typedef struct {
	bool ok;
	Model cube;
	Shader shader;
	TextureCubemap cubemap;
} Skybox;

void Skybox_init(Skybox *skybox, char const *fp);
void Skybox_destroy(Skybox *skybox);

void Skybox_draw(Skybox const skybox, Vector3 position);

#endif // RAYEXT_H
